package com.ejie.ab79.model.REST.servicioWeb;

public class RespuestaProtocolo extends Estado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idPreguntaProtocolo;
	private String respuesta;
	private Integer idRelacionProtocoloPregunta;

	public RespuestaProtocolo() {
	}

	public Integer getIdPreguntaProtocolo() {
		return idPreguntaProtocolo;
	}

	public void setIdPreguntaProtocolo(Integer idPreguntaProtocolo) {
		this.idPreguntaProtocolo = idPreguntaProtocolo;
	}

	public String getRespuesta() {
		return respuesta;
	}

	public void setRespuesta(String respuesta) {
		this.respuesta = respuesta;
	}

	public Integer getIdRelacionProtocoloPregunta() {
		return idRelacionProtocoloPregunta;
	}

	public void setIdRelacionProtocoloPregunta(Integer idRelacionProtocoloPregunta) {
		this.idRelacionProtocoloPregunta = idRelacionProtocoloPregunta;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idPreguntaProtocolo: ").append(this.idPreguntaProtocolo).append(" ]");
		result.append(" [ respuesta: ").append(this.respuesta).append(" ]");
		result.append("}");
		return result.toString();
	}
}
